searchNodes=[{"doc":"A library for parsing a simple query language into an abstract syntax tree.","ref":"DreaeQL.html","title":"DreaeQL","type":"module"},{"doc":"Parses a string into a DreaeQL AST. Returns a tuple containing the AST and any unused tokens, if any.Examples iex&gt; DreaeQL.parse(&quot;foo = 123 and bar = \\&quot;456\\&quot;&quot;) {%DreaeQL.Operators.And{ left_side: %DreaeQL.Operators.Equals{ left_side: %DreaeQL.Terms.Identifier{ident: &quot;foo&quot;, term: :ident}, operator: :binary, right_side: %DreaeQL.Terms.LiteralInt{term: :int, value: 123} }, operator: :binary, right_side: %DreaeQL.Operators.Equals{ left_side: %DreaeQL.Terms.Identifier{ident: &quot;bar&quot;, term: :ident}, operator: :binary, right_side: %DreaeQL.Terms.LiteralString{term: :string, value: &quot;456&quot;} } }, []}","ref":"DreaeQL.html#parse/1","title":"DreaeQL.parse/1","type":"function"},{"doc":"","ref":"DreaeQL.html#t:dreaeql_binary_operator/0","title":"DreaeQL.dreaeql_binary_operator/0","type":"type"},{"doc":"","ref":"DreaeQL.html#t:dreaeql_operator/0","title":"DreaeQL.dreaeql_operator/0","type":"type"},{"doc":"","ref":"DreaeQL.html#t:dreaeql_term/0","title":"DreaeQL.dreaeql_term/0","type":"type"},{"doc":"","ref":"DreaeQL.html#t:dreaeql_unary_operator/0","title":"DreaeQL.dreaeql_unary_operator/0","type":"type"},{"doc":"","ref":"DreaeQL.html#t:expression/0","title":"DreaeQL.expression/0","type":"type"},{"doc":"","ref":"DreaeQL.Operators.html","title":"DreaeQL.Operators","type":"module"},{"doc":"","ref":"DreaeQL.Operators.html#binary_operator/1","title":"DreaeQL.Operators.binary_operator/1","type":"macro"},{"doc":"","ref":"DreaeQL.Operators.html#unary_operator/1","title":"DreaeQL.Operators.unary_operator/1","type":"macro"},{"doc":"","ref":"DreaeQL.Operators.And.html","title":"DreaeQL.Operators.And","type":"module"},{"doc":"","ref":"DreaeQL.Operators.And.html#t:t/0","title":"DreaeQL.Operators.And.t/0","type":"type"},{"doc":"","ref":"DreaeQL.Operators.Equals.html","title":"DreaeQL.Operators.Equals","type":"module"},{"doc":"","ref":"DreaeQL.Operators.Equals.html#t:t/0","title":"DreaeQL.Operators.Equals.t/0","type":"type"},{"doc":"","ref":"DreaeQL.Operators.GreaterThan.html","title":"DreaeQL.Operators.GreaterThan","type":"module"},{"doc":"","ref":"DreaeQL.Operators.GreaterThan.html#t:t/0","title":"DreaeQL.Operators.GreaterThan.t/0","type":"type"},{"doc":"","ref":"DreaeQL.Operators.GreaterThanEquals.html","title":"DreaeQL.Operators.GreaterThanEquals","type":"module"},{"doc":"","ref":"DreaeQL.Operators.GreaterThanEquals.html#t:t/0","title":"DreaeQL.Operators.GreaterThanEquals.t/0","type":"type"},{"doc":"","ref":"DreaeQL.Operators.LessThan.html","title":"DreaeQL.Operators.LessThan","type":"module"},{"doc":"","ref":"DreaeQL.Operators.LessThan.html#t:t/0","title":"DreaeQL.Operators.LessThan.t/0","type":"type"},{"doc":"","ref":"DreaeQL.Operators.LessThanEquals.html","title":"DreaeQL.Operators.LessThanEquals","type":"module"},{"doc":"","ref":"DreaeQL.Operators.LessThanEquals.html#t:t/0","title":"DreaeQL.Operators.LessThanEquals.t/0","type":"type"},{"doc":"","ref":"DreaeQL.Operators.Not.html","title":"DreaeQL.Operators.Not","type":"module"},{"doc":"","ref":"DreaeQL.Operators.Not.html#t:t/0","title":"DreaeQL.Operators.Not.t/0","type":"type"},{"doc":"","ref":"DreaeQL.Operators.NotEquals.html","title":"DreaeQL.Operators.NotEquals","type":"module"},{"doc":"","ref":"DreaeQL.Operators.NotEquals.html#t:t/0","title":"DreaeQL.Operators.NotEquals.t/0","type":"type"},{"doc":"","ref":"DreaeQL.Operators.Or.html","title":"DreaeQL.Operators.Or","type":"module"},{"doc":"","ref":"DreaeQL.Operators.Or.html#t:t/0","title":"DreaeQL.Operators.Or.t/0","type":"type"},{"doc":"","ref":"DreaeQL.Terms.html","title":"DreaeQL.Terms","type":"module"},{"doc":"","ref":"DreaeQL.Terms.html#literal/2","title":"DreaeQL.Terms.literal/2","type":"macro"},{"doc":"","ref":"DreaeQL.Terms.html#term/3","title":"DreaeQL.Terms.term/3","type":"macro"},{"doc":"","ref":"DreaeQL.Terms.Identifier.html","title":"DreaeQL.Terms.Identifier","type":"module"},{"doc":"","ref":"DreaeQL.Terms.Identifier.html#t:t/0","title":"DreaeQL.Terms.Identifier.t/0","type":"type"},{"doc":"","ref":"DreaeQL.Terms.LiteralBool.html","title":"DreaeQL.Terms.LiteralBool","type":"module"},{"doc":"","ref":"DreaeQL.Terms.LiteralBool.html#t:t/0","title":"DreaeQL.Terms.LiteralBool.t/0","type":"type"},{"doc":"","ref":"DreaeQL.Terms.LiteralFloat.html","title":"DreaeQL.Terms.LiteralFloat","type":"module"},{"doc":"","ref":"DreaeQL.Terms.LiteralFloat.html#t:t/0","title":"DreaeQL.Terms.LiteralFloat.t/0","type":"type"},{"doc":"","ref":"DreaeQL.Terms.LiteralInt.html","title":"DreaeQL.Terms.LiteralInt","type":"module"},{"doc":"","ref":"DreaeQL.Terms.LiteralInt.html#t:t/0","title":"DreaeQL.Terms.LiteralInt.t/0","type":"type"},{"doc":"","ref":"DreaeQL.Terms.LiteralString.html","title":"DreaeQL.Terms.LiteralString","type":"module"},{"doc":"","ref":"DreaeQL.Terms.LiteralString.html#t:t/0","title":"DreaeQL.Terms.LiteralString.t/0","type":"type"}]